!                                                                    !
!=========================>  ^NR2KEYP  <=============================!
!                                                                    !
!   Convert Number to Key - PROCESSING                               !
!                                                                    !
!   requires:   ^NR2KEYD    Convert Number to Key - DATA             !
!                                                                    !
!                                                                    !
!====================================================================!
!--  0---|--- 10---|--- 20---|--- 30---|--- 40---|--- 50---|--- 60---|--- 70---|
!23456789|123456789|123456789|123456789|123456789|123456789|123456789|123456789|
!===============
CVT.DATE.TO.KEY:
!===============
    NR2KEY.WORK.DATE = NR2KEY.DATE.OFFSET - NR2KEY.DATE
    NR2KEY.WORK.KEY$ = STR(NR2KEY.WORK.DATE)
    IF NR2KEY.DATE GT NR2KEY.DATE.OFFSET.YMD THEN
    	NR2KEY.WORK.KEY$ = STRING("0",8) + STRIP(NR2KEY.WORK.KEY$)
    	NR2KEY.KEY$ = RSUB(NR2KEY.WORK.KEY$,1,8)
    ELSE
    	NR2KEY.WORK.KEY$ = SUB(NR2KEY.WORK.KEY$,2,6)
    	NR2KEY.WORK.KEY$ = STRING("0",6) + STRIP(NR2KEY.WORK.KEY$)
    	NR2KEY.KEY$ = RSUB(NR2KEY.WORK.KEY$,1,6)
    ENDIF
!
    RETURN
!===============
CVT.KEY.TO.DATE:
!===============
    NR2KEY.WORK.KEY$ = STRIP(NR2KEY.KEY$)
    NR2KEY.LEN = LEN(NR2KEY.WORK.KEY$)
    SELECT CASE NR2KEY.LEN
    	CASE 6
        	NR2KEY.WORK.DATE = NUM(NR2KEY.KEY$,NR2KEY.NUM.ERROR)
    		IF NR2KEY.NUM.ERROR EQ 1 THEN RETURN
    		NR2KEY.DATE = NR2KEY.DATE.OFFSET.YMD - NR2KEY.WORK.DATE
		CASE 8
    		NR2KEY.WORK.DATE = NUM(NR2KEY.KEY$,NR2KEY.NUM.ERROR)
    		IF NR2KEY.NUM.ERROR EQ 1 THEN RETURN
    		NR2KEY.DATE = NR2KEY.DATE.OFFSET - NR2KEY.WORK.DATE
    	CASE ELSE
        	NR2KEY.NUM.ERROR = 1
    ENDSELECT
!
    RETURN
!=================
CVT.KEY.TO.NUMBER:
!=================
    NR2KEY.NUMBER = 0
    NR2KEY.KEY$ = STRIP(NR2KEY.KEY$)
    IF LEN(NR2KEY.KEY$) NE NR2KEY.LEN.KEY THEN
        NR2KEY.NUM.ERROR = 1
        RETURN
    ENDIF
!   intermediate work area for NUM function is only 16.8
!	so... we have to make it ?.8 format
	NR2KEY.WORK.KEY$ = SUB(NR2KEY.KEY$,1,6) + "." + _
	    	          RSUB(NR2KEY.KEY$,1,8)
    NR2KEY.WORK.FRACTION = NUM(NR2KEY.WORK.KEY$,NR2KEY.NUM.ERROR)
    IF NR2KEY.NUM.ERROR EQ 1 THEN RETURN

    NR2KEY.WORK.INT    	= INT(NR2KEY.WORK.FRACTION)
    NR2KEY.WORK.INT 	= NR2KEY.WORK.INT * 100000000
    NR2KEY.WORK.FPT    	= FPT(NR2KEY.WORK.FRACTION)
    NR2KEY.WORK.NUMBER 	= NR2KEY.WORK.FPT * 100000000
    NR2KEY.WORK.NUMBER 	= NR2KEY.WORK.INT + _
                       	  NR2KEY.WORK.NUMBER
    NR2KEY.WORK.NUMBER 	= NR2KEY.WORK.NUMBER - 10000000000000
    NR2KEY.NUMBER      	= NR2KEY.WORK.NUMBER
!
    RETURN
!=================
CVT.NUMBER.TO.KEY:
!=================
    NR2KEY.WORK.NUMBER = NR2KEY.NUMBER + NR2KEY.OFFSET
    NR2KEY.WORK.KEY$ = STR(NR2KEY.WORK.NUMBER)
    NR2KEY.WORK.KEY$ = STRING("0",NR2KEY.LEN.KEY) + STRIP(NR2KEY.WORK.KEY$)
    NR2KEY.KEY$ = RSUB(NR2KEY.WORK.KEY$,1,NR2KEY.LEN.KEY)
!
    RETURN
!=================
CVT.NUMBER.TO.SEQ:
!=================
    GOSUB CVT.NUMBER.TO.KEY
    NR2KEY.SEQ$ = RSUB(NR2KEY.KEY$,1,NR2KEY.LEN.SEQ)
!
    RETURN    
!                                                                    !
!====================================================================!                                       