!                                                                    !
!=========================>  ^SNTYPD   <=============================!
!                                                                    !
!   Sony Type Processing - DATA                                      !
!                                                                    !
!   requires:   ^SNTYPD      SONY Type Processing - PROCESSING       !
!                                                                    !
!====================================================================!
!====================================================================!
! Change Log                                                         !
!====================================================================!
! FML  Name                     Organisation                         !
! ===  ======================== ================================     !
! RDA  Robert D. Acker, Jr.     All Systems Satellite                !
!====================================================================!
!<<ID>> FML Date       Description                                   !
!  ==   === ========== ==============================================!
!<<AA>> RDA 07/15/2010 Change Sony Serialised Rule for Suffixes:     !
!                      FROM: not (Buydown or Bundle)                 !
!                        TO: Contained in list of Suffixes           !
!<<XX>> FML MM/DD/CCYY                                               !
!<<XX>> FML MM/DD/CCYY                                               !
!<<XX>> FML MM/DD/CCYY                                               !
!====================================================================!
!--  0---|--- 10---|--- 20---|--- 30---|--- 40---|--- 50---|--- 60---|--- 70---|
!23456789|123456789|123456789|123456789|123456789|123456789|123456789|123456789|
!====================================================================!
!   all SONY Items begin with "98" prefix
!
        SET SONY.ITEM.INDICATOR.BLUERAY$     = "BR"
!           SONY.ITEM.SERIAL.SUFFIXES$ omits   "ABCDFGHIJKT"
        SET SONY.ITEM.SERIAL.SUFFIXES$       = "0123456789ELMNOPQRSUVWXYZ" !<<AA>>
        SET SONY.ITEM.SUFFIX.BUNDLE$         = "B"
        SET SONY.ITEM.SUFFIX.BUYDOWN$        = "D"
!                                               ---  0---|--- 10---|
!                                               123456789|123456789|
        SET SONY.ITEM.TEXT.BLUERAY$          = "BLUERAY             "
        SET SONY.ITEM.TEXT.BUNDLE$           = "BUNDLE              "
        SET SONY.ITEM.TEXT.BUYDOWN$          = "BUYDOWN             "
        SET SONY.ITEM.TEXT.NON.SERIAL$       = "NON SERIAL          "
        SET SONY.ITEM.TEXT.NON.SONY$         = "                    "
        SET SONY.ITEM.TEXT.OTHER.NON.SERIAL$ = "OTHER NON SERIAL    "
        SET SONY.ITEM.TEXT.OTHER.SERIAL$     = "OTHER SERIAL        "
        SET SONY.ITEM.TEXT.SERIAL$           = "SERIAL              "
        SET SONY.ITEM.TEXT.SONY$             = "SONY                "
        SET SONY.ITEM.TEXT.TV$               = "TV                  "
        SET SONY.ITEM.TEXT.UNKNOWN$          = "UNKNOWN             "
        SET SONY.ITEM.TEXT.UNKNOWN.1$        = "UNKNOWN - TYPE 1    "
        SET SONY.ITEM.TEXT.UNKNOWN.2$        = "UNKNOWN - TYPE 2    "
        SET SONY.ITEM.TEXT.UNKNOWN.3$        = "UNKNOWN - TYPE 3    "
        SET SONY.PREFIX$                     = "98"
    SET LEN.SONY.PREFIX                      = 2
!
    LENGTH    1     & LOCAL IS.A.SONY.BLUERAY.ITEM$     		!(Y/N)
    LENGTH    1     & LOCAL IS.A.SONY.BUNDLE.ITEM$      		!(Y/" ")
    LENGTH    1     & LOCAL IS.A.SONY.BUYDOWN.ITEM$     		!(Y/" ")
    LENGTH    1     & LOCAL IS.A.SONY.ITEM$             		!(Y/N)
    LENGTH    1     & LOCAL IS.A.SONY.OTHER.NON.SERIAL.ITEM$ 	!(Y/N)
    LENGTH    1     & LOCAL IS.A.SONY.OTHER.SERIAL.ITEM$ 	    !(Y/N)
    LENGTH    1     & LOCAL IS.A.SONY.SERIAL.ITEM$      		!(Y/N)
    LENGTH    1     & LOCAL IS.A.SONY.TV.ITEM$          		!(Y/N)
    LENGTH    1     & LOCAL SONY.ITEM.ALREADY.INVOICED$ 		!(Y/N)
    LENGTH    1     & LOCAL SONY.ITEM.ALREADY.SCANNED$  		!(Y/N)
    LENGTH    1     & LOCAL SONY.ITEM.LINE.PRINTED$             !(Y/N)
    LENGTH    1     & LOCAL SONY.ITEM.SUFFIX$
    LENGTH    1     & LOCAL TALLY.ONLY.SONY.ITEMS$              !(Y/N)
    LENGTH    3.0   & LOCAL SONY.ITEM.LENGTH
    LENGTH   20     & LOCAL SONY.INBR$
    LENGTH   20     & LOCAL SONY.INBR.SAVED$
!
    LENGTH    3.0   & LOCAL SONY.TYPE.TEXT.PTR.1
    LENGTH    3.0   & LOCAL SONY.TYPE.TEXT.PTR.2
    LENGTH    3.0   & LOCAL SONY.TYPE.TEXT.PTR.3
    LENGTH   20     & LOCAL SONY.TYPE.TEXT.1$
    LENGTH   20     & LOCAL SONY.TYPE.TEXT.2$
    LENGTH   20     & LOCAL SONY.TYPE.TEXT.3$
!

    SET PTR.SONY.ITEM.TEXT.NON.SONY         =01
    SET PTR.SONY.ITEM.TEXT.SONY             =02
    SET PTR.SONY.ITEM.TEXT.SERIAL           =03
    SET PTR.SONY.ITEM.TEXT.BLUERAY          =04
    SET PTR.SONY.ITEM.TEXT.TV               =05
    SET PTR.SONY.ITEM.TEXT.OTHER.SERIAL     =06
    SET PTR.SONY.ITEM.TEXT.NON.SERIAL       =07
    SET PTR.SONY.ITEM.TEXT.BUNDLE           =08
    SET PTR.SONY.ITEM.TEXT.BUYDOWN          =09
    SET PTR.SONY.ITEM.TEXT.OTHER.NON.SERIAL =10
    SET PTR.SONY.ITEM.TEXT.UNKNOWN.1        =11
    SET PTR.SONY.ITEM.TEXT.UNKNOWN.2        =12
    SET PTR.SONY.ITEM.TEXT.UNKNOWN.3        =13
    SET PTR.SONY.ITEM.TEXT.UNKNOWN          =14
    SET NR.OF.SONY.COUNTS.TEXTS             =14
    LENGTH    3.0   & LOCAL IX.SONY.COUNTS
    LENGTH    3.0   & LOCAL IX.SONY.COUNTS.TEXTS
    LENGTH    3.0   & LOCAL IX.SONY.TALLY
    LENGTH    3.0   & LOCAL IX.SONY.TALLY.1
    LENGTH    3.0   & LOCAL IX.SONY.TALLY.2
    LENGTH    3.0   & LOCAL IX.SONY.TALLY.3
    LENGTH    3.0   & LOCAL IX.SONY.TEXTS
    LENGTH   10.0   & LOCAL SONY.COUNTS(NR.OF.SONY.COUNTS.TEXTS)
    LENGTH   20     & LOCAL SONY.TEXTS$(NR.OF.SONY.COUNTS.TEXTS)

!
!====================================================================